package com.muyu.marketing.domain.model;


import com.muyu.marketing.domain.req.ProjectSkuInfoAddReq;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.function.Supplier;

/**
 * 团购spu库存添加模型
 *
 * @author DongZeLiang
 * @date 2024-11-26 09:36
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ActivityTeamProductSkuAddModel {

    /**
     * 团购活动ID
     */
    private Long teamId;

    /**
     * 商品ID
     */
    private Long productId;

    /**
     * 规格SKU
     */
    private String sku;

    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;

    /**
     * 拼团库存
     */
    private Long teamStock;

    public  static  ActivityTeamProductSkuAddModel  dbuild (ProjectSkuInfoAddReq projectSkuInfoAddReq, Supplier<Long> productId){
       return ActivityTeamProductSkuAddModel.builder()
               .productId(productId.get())
                .sku(projectSkuInfoAddReq.getSku())
                .teamStock(projectSkuInfoAddReq.getTeamStock())
                .teamPrice(projectSkuInfoAddReq.getTeamPrice())
                .build();
    }

}
